Skip to main content
GET
/
api
/
cost
/
v1
/
asset
Get the asset cost over a time window
curl --request GET \
  --url https://api.example.com/api/cost/v1/asset \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "data": [
    {
      "cpuCost": 123,
      "gpuCost": 123,
      "labels": {
        "instance": "<string>",
        "job": "<string>",
        "label_dominodatalab_com_domino_node": "<string>",
        "label_dominodatalab_com_node_pool": "<string>"
      },
      "name": "<string>",
      "properties": {
        "category": "<string>",
        "cluster": "<string>",
        "provider": "<string>",
        "providerId": "<string>",
        "service": "<string>"
      },
      "ramCost": 123,
      "totalCost": 123,
      "type": "<string>",
      "window": {
        "end": "<string>",
        "minutes": 123,
        "start": "<string>"
      }
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

window
string
required

Duration of time over which to query. Accepts words like today, week, month, yesterday, lastweek, lastmonth; durations like 30m, 12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z

aggregate
string

Aggregate the cost allocation. Accepts kubecost aggregates cluster, namespace, pod, deployment, service, daemonset, statefulset, job, cronjob, replicaset, node, container, pv, pvc, storageclass, cluster

start
string

Start time of the query. Accepts RFC3339 format, must be inside the window

end
string

End time of the query. Accepts RFC3339 format, must be inside the window

accumulate
boolean

If the result will be accumulated. Default is false. If true, the result will be accumulated from the start time to the end time.

filter
string

Filter the result by the kubecost filter like cluster, namespace, pod, deployment, service, daemonset, statefulset

Response

200 - application/json

Success

data
object[]
required